Subject: RE: LMP-MIB Module Compile Test

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 11 Jun 2003 11:56:43 +0200

Inline

> -----Original Message-----
> From: Len Nieman [mailto:[email-masked]]
> Sent: woensdag 11 juni 2003 0:23
> To: [email-masked]
> Cc: [email-masked]
> Subject: LMP-MIB Module Compile Test
> 
> 
> For anyone interested, I ran a test compile of the LMP-MIB module
> extracted from draft-ietf-ccamp-lmp-mib-06.txt.
> 
> For the TE-LINK-STD-MIB "IMPORT" I used the module extracted from
> draft-ietf-mpls-telink-mib-02.txt
> 
> The tests were run using the MG-Soft compiler, version 4.0, build 459.
> 
> There were only two minor problems due to "xxx" being used for values
> with assignments pending from IANA.
> 
> In the LMP-MIB module I had to manually change the "mib-2 
> xxx" to "mib-2
> 113" here:
> 
>    DESCRIPTION
>        "Initial version published as RFC xxxx (to be assigned by RFC
>         Editor)"
>    ::= { mib-2 xxx } -- To be assigned by IANA (experimental 113 can
>                      -- be used in the interim)
> 
> And in the TE-LINK-STD-MIB module I had to make a similar change of
> "transmission xxx" to "transmission 114" here:
> 
>  DESCRIPTION
>    "Initial version published as RFC xxxx (to be assigned by RFC
>     Editor)"
>  ::= { transmission xxx } -- To be assigned by IANA (experimental 114
>                           -- can be used in the interim)
> 
> With the "xxx"s out of the way, both modules compiled 
> completed with no errors or warnings.
> 
> After looking through a number of other drafts, I see this "xxx" place
> holder for numeric values is used quite a bit.
> 
Right... and that is what we WANT people to do!!

> It would be helpful, and cut down on the manual intervention needed to
> run compile tests, if a numeric value (999?) were specifically defined as
> "Pending assignment by IANA ("whatever ###" can be used in the interim)"
> for use in draft documents. Any thoughts on that?
> 
Has been discussed a number of times... apparently there is no consensus
on it... so we keep the manual tweaking that is needed.
Not fun, but not that bad either, is it?

Bert
> Len Nieman